import ajax from "@/libs/Ajax";

export default {
  addJob(data) {
    return ajax.post("/sys/quartz/addJob", data);
  },
  updataJob(data) {
    return ajax.post("/sys/quartz/updataJob", data);
  },
  queryJob(params) {
    return ajax.get("/sys/quartz/getJobList", { params: params });
  },
  delJob(data) {
    return ajax.post("/sys/quartz/delJob", data);
  },
  runJob(data) {
    return ajax.post("/sys/quartz/runJob", data);
  },
  stopJob(data) {
    return ajax.post("/sys/quartz/stopJob", data);
  },
  getJobClasss() {
    return ajax.get("/sys/quartz/getJobClasss");
  },
  loadJobInfo(params) {
    return ajax.get("/sys/quartz/getLoadJobInfo", { params: params });
  },
  loadJobRunHis(params) {
    return ajax.get("/sys/quartz/getLoadJobHis", { params: params });
  }
};
